/**
 * RoleClassDistributedMaterial.java
 *
 * File generated from the medication::RoleClassDistributedMaterial uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration RoleClassDistributedMaterial.
 *
 * 
 */

@XmlType(name = "RoleClassDistributedMaterial")
@XmlEnum
@XmlRootElement(name = "RoleClassDistributedMaterial")
public enum RoleClassDistributedMaterial {
	@XmlEnumValue("DST")
	DST("DST"),
	@XmlEnumValue("RET")
	RET("RET");
	
	private final String value;

    RoleClassDistributedMaterial(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static RoleClassDistributedMaterial fromValue(String v) {
        for (RoleClassDistributedMaterial c: RoleClassDistributedMaterial.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}